Subject: Re: mmsystem.dll corrupt when running a program compiling with mmsystem.{h,dll}
From: [email-masked] (Ingo Blank)

16 Jun 1998 12:04:50 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Curtis L. Olson" <[email-masked]>
Cc: [email-masked]

Remember that all Windows DLLs use the __stdcall conventions... (WINAPI)
Try to build your def with sndPlaySound@... and an alias to it !

Bye
Ingo B.

Curtis L. Olson wrote:

> I'm trying to build some code with the cygnus/egcs compiler that
> requires mmsystem.h and mmsystem.dll
>
> I grabbed a copy of mmsystem.h from the Twin source:
>
>     http://www.winehq.com/Twin/
>
> I then grabbed a copy of mmsystem.dll from my win95 machine.
>
> impdef wouldn't generate a list of functions from the DLL because my
> mmsystem.dll wasn't a "PE" archive (or something to that effect.)
>
> So I went ahead and created a mmsystem.def file based on just the
> handfull of calls that I use in my software, ignoring all the rest.
>
> Then, to create the libmmsystem.a I ran:
>
>     dlltool -k --def mmsystem.def --output-exp mmsystem.exp \
>         --output-lib libmmsystem.a --dllname mmsystem.dll
>
> This all seemed to happily work, and created the libmmsystem.a.  With
> this I was able to compile and link my C/C++ code and produce an
> executable.
>
> However, when I try to run the executable on the same system where my
> mmsystem.dll originated, I get a message saying my "mmsystem.dll is
> corrupt and should be reinstalled."
>
> I probably don't understand all the subtleties of dlltool and linking
> to dll's in win95, but I have gotten this same basic procedure to work
> with glut/glu/opengl.
>
> Has anyone been down this road before with any success?
>
> Thanks,
>
> Curt.
> --
> Curtis Olson                        University of MN, ME Dept.
> [email-masked]
> http://www.menet.umn.edu/~curt      Try Linux!
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
>
> .

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".